# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields


class CgscopIncubExpertise(models.Model):
    _name = 'cgscop_incub.expertise'
    _description = "Expertises du processus d'incubation"
    _order = 'ur_id,sequence,id'

    def _default_ur(self):
        return self.env['res.company']._ur_default_get()

    ur_id = fields.Many2one(
        'union.regionale',
        string='Union Régionale',
        index=True,
        on_delete='restrict',
        default=_default_ur)
    sequence = fields.Integer(
        string='Sequence')
    name = fields.Char(string='Nom', required=True, index=True)
    active = fields.Boolean(
        string='Actif',
        default=True)
